C	PAINTVAX.FOR
C	THIS PROGRAM WILL PAINT THE WORD "VAX" ON THE TERMINAL.
C
C
C	SET UP ALL V CHARACTERS
C
	CHARACTER	TEXTV1*4,
	1		TEXTV2*5,
	2		TEXTV3*6,
	3		TEXTV4*7,
	4		TEXTV5*8,
	5		TEXTV6*9
	DATA 		TEXTV1/'VVVV'/,
	1		TEXTV2/'VVVVV'/,
	2		TEXTV3/'VVVVVV'/,
	3		TEXTV4/'VVVVVVV'/,
	4		TEXTV5/'VVVVVVVV'/,
	5		TEXTV6/'VVVVVVVVV'/
C
C	SET UP ALL A CHARACTERS
C
	CHARACTER	TEXTA1*4
	1		TEXTA2*5,
	2		TEXTA3*6,
	3		TEXTA4*7,
	4		TEXTA5*8,
	5		TEXTA6*9
	DATA 		TEXTA1/'AAAA'/,
	1		TEXTA2/'AAAAA'/,
	2		TEXTA3/'AAAAAA'/,
	3		TEXTA4/'AAAAAAA'/,
	4		TEXTA5/'AAAAAAAA'/,
	5		TEXTA6/'AAAAAAAAA'/
C
C	SET UP ALL X CHARACTERS
C
	CHARACTER	TEXTX9*9
	DATA		TEXTX9/'XXXXXXXXX'/
C
C
C	ERASE THE SCREEN
C
	ILINE = 1
	ICOL = 1
	IAA = LIB$ERASE_PAGE(ILINE,ICOL)
C
C	START AT LINE 1,COLUMN 1.  DRAW VERTICAL DOWNSTROKE OF THE V
C
	J = 1
	K = 1
	DO 10 I = 1,23 
	IAB = LIB$PUT_SCREEN(TEXTV6,J,K)
10	J = J+1
C
C	FILL IN THE BOTTOM OF THE V
C
	IAC = SCR$PUT_SCREEN(TEXTV1,%VAL(22),%VAL(10))
	IAD = SCR$PUT_SCREEN(TEXTV2,%VAL(21),%VAL(10))
	IAE = SCR$PUT_SCREEN(TEXTV3,%VAL(20),%VAL(10))
	IAF = SCR$PUT_SCREEN(TEXTV4,%VAL(19),%VAL(10))
	IAG = SCR$PUT_SCREEN(TEXTV5,%VAL(18),%VAL(10))
	IAH = SCR$PUT_SCREEN(TEXTV6,%VAL(17),%VAL(10))
C
C	START AT LINE 14, COLUMN 10.  DRAW THE UPSTROKE OF THE V
C
	J = 14
	L = 10
	DO 20 I = 1,14
	IAL = LIB$PUT_SCREEN(TEXTV6,J,L)
	J = J-1
20	L = L+1
C
C	START AT LINE 23, COLUMN 16.  DRAW THE UPSTROKE OF THE A
C
	J = 23
	L = 16
	DO 30 I = 1,22
	IAM = LIB$PUT_SCREEN(TEXTA9,J,L)
	J = J-1
30	L = L+1
	IBA = SCR$PUT_SCREEN(TEXTA8,%VAL(1),%VAL(38))
C
C	FILL IN THE TOP OF THE A
C
	IBC = SCR$PUT_SCREEN(TEXTA1,%VAL(2),%VAL(45))
	IBD = SCR$PUT_SCREEN(TEXTA2,%VAL(3),%VAL(44))
	IBE = SCR$PUT_SCREEN(TEXTA3,%VAL(4),%VAL(43))
	IBF = SCR$PUT_SCREEN(TEXTA4,%VAL(5),%VAL(42))
	IBG = SCR$PUT_SCREEN(TEXTA5,%VAL(6),%VAL(41))
	IBH = SCR$PUT_SCREEN(TEXTA6,%VAL(7),%VAL(40))
	IBJ = SCR$PUT_SCREEN(TEXTA7,%VAL(8),%VAL(39))
C
C	START AT LINE 9, COLUMN 38.  DRAW THE DOWNSTROKE OF THE A
C
	J = 9
	L = 38
	DO 40 I = 1,15
	IBK = LIB$PUT_SCREEN(TEXTA8,J,L)
40	J = J+1
C
C	DRAW THE CROSSPIECE OF THE A FROM LEFT TO RIGHT
C
	IBL = SCR$PUT_SCREEN(TEXTA1,%VAL(19),%VAL(29))
	IBM = SCR$PUT_SCREEN(TEXTA1,%VAL(18),%VAL(30))
	IBN = SCR$PUT_SCREEN(TEXTA1,%VAL(19),%VAL(30))
	IBO = SCR$PUT_SCREEN(TEXTA1,%VAL(17),%VAL(31))
	IBP = SCR$PUT_SCREEN(TEXTA1,%VAL(18),%VAL(31))
	IBQ = SCR$PUT_SCREEN(TEXTA1,%VAL(19),%VAL(31))
	L = 32
	DO 60 I = 1,6
	J = 16
	DO 50 K = 1,4
	IBR = LIB$PUT_SCREEN(TEXTA1,J,L)
50	J = J+1
60	L = L+1
C
C	START AT LINE 1, COLUMN 47.  DRAW THE FIRST STROKE OF THE X
C	FROM UPPER LEFT TO LOWER RIGHT
C
	J = 1
	L = 47
	DO 70 I = 1,23
	ICA = LIB$PUT_SCREEN(TEXTX9,J,L)
	J = J+1
70	L = L+1
C
C	START AT LINE 1, DIRECTLY ABOVE THE END OF THE FIRST STROKE.
C	DRAW THE SECOND STROKE OF THE X FROM UPPER RIGHT TO LOWER LEFT
C
	J = 1
	L = L-1
	DO 80 K = 1,23
	ICB = LIB$PUT_SCREEN(TEXTX9,J,L)
	J = J+1
80	L = L-1
C
C	PUT THE CURSOR IN THE LOWER LEFT CORNER OF THE SCREEN
C
	IDA = SCR$SET_CURSOR(%VAL(24),%VAL(1))
C
C
	END



